# Delete all objects from a layer.

from maptek import vulcan

dgd_file = "pydemo.dgd.isis"  # design database we want to access
layer_name = "POINT"  # layer we want to use

with vulcan.dgd(dgd_file, "w") as dgd:  # open up the database in write mode
    layer = dgd.get_layer(layer_name)  # get layer

    layer.clear_object()  # remove the object

    dgd.save_layer(layer)  # save the layer
